package cn.reghao.autodop.dmaster.app.db.query.config;

import cn.reghao.autodop.dmaster.app.model.po.config.build.PackerConfig;
import cn.reghao.jdkutil.db.BaseQuery;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;


import java.util.List;

/**
 * @author reghao
 * @date 2021-06-11 18:02:57
 */
public interface PackerConfigQuery extends BaseQuery<PackerConfig> {
    PackerConfig findByName(String name);
    Page<PackerConfig> findAll(Pageable pageable);
    List<PackerConfig> findAllByIsDeleteFalse();
}
